Package org.apache.catalina.valves.rewrite

## Class Resolver

- java.lang.Object
- - org.apache.catalina.valves.rewrite.Resolver

Direct Known Subclasses:
  `ResolverImpl`

    public abstract class Resolver
    extends java.lang.Object

Resolver abstract class.

### Constructor Summary

Constructors
`Resolver()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
`abstract java.nio.charset.Charset` `getUriCharset()`
`abstract java.lang.String` `getUriEncoding()` Deprecated. This will be removed in Tomcat 9.0.x
`abstract java.lang.String` `resolve​(java.lang.String key)`
`java.lang.String` `resolveEnv​(java.lang.String key)`
`abstract java.lang.String` `resolveHttp​(java.lang.String key)`
`abstract boolean` `resolveResource​(int type, java.lang.String name)`
`abstract java.lang.String` `resolveSsl​(java.lang.String key)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Resolver

    public Resolver()

### Method Detail

#### resolve

    public abstract java.lang.String resolve​(java.lang.String key)

#### resolveEnv

    public java.lang.String resolveEnv​(java.lang.String key)

#### resolveSsl

    public abstract java.lang.String resolveSsl​(java.lang.String key)

#### resolveHttp

    public abstract java.lang.String resolveHttp​(java.lang.String key)

#### resolveResource

    public abstract boolean resolveResource​(int type,
                                            java.lang.String name)

#### getUriEncoding

    @Deprecated
    public abstract java.lang.String getUriEncoding()

Deprecated.
This will be removed in Tomcat 9.0.x

Returns:
  The name of the encoding to use to %nn encode URIs

#### getUriCharset

    public abstract java.nio.charset.Charset getUriCharset()